<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace webbasys\includee\datamenu {

  
  class DataMenuWebShopArtikelDetails extends \DataMenuMainTopLeft
  {
    protected $dbwArtikel;

    public function __construct($urlParam)
    {
      parent::__construct($urlParam);
      $this->dbwArtikel = new \DBWorkArtikel();

      $this->exportadapter = new \ExpArtikel();

      
    }

    public function _getClickPath($pName = 'Artikel')
    {
      $this->_setStdClickPath($pName, 'clickWSArtikelDetails');

      return $this->clickpfad;
    }

    public function getsight($sightid = 584)
    {
      parent::getsight($sightid);
    }

    private function getArtikelAsArray()
    {
      $this->urlparameter->explodeSettingStream();
      $x = $this->dbwArtikel->getArtikel($this->urlparameter->dsnr);
      if (!$x->isEmpty()) {
        return array($x);
      } else {
        return array();
      }
    }

    
    public function getdataarrayheader()
    {
      $this->dataarrayheader = $this->getArtikelAsArray();
    }

    
    public function getdataarraybody($pZeitBereich = 'noRestrict')
    {
      $this->dataarraybody = $this->getArtikelAsArray();
    }

    
    public function getdataarrayfooter()
    {
      $this->dataarrayfooter = $this->getArtikelAsArray();
    }
  }
}